Subject: Re: [OSPF] Some enquiries about OSPFv3 Auto-Configuration Internet Draft

From: Acee Lindem <[email-masked]>
Date: Sun, 27 Jan 2013 20:50:49 +0000

Hi Sarah (OSPF List copied),

See inline.

On Jan 27, 2013, at 2:34 PM, sarah boufelja wrote:

Dear Sir, I am a engineering student at Telecom Bretagne, a french graduate school and a research center in communications and computer science. I am studying in my project routing protocols and I found an Internet-draft that has been written by you and Mr. Jari Arkko about OSPFv3 auto-configuration. I am interested in this subject and I have some questions concerning the draft. I would be really thankful if you enlightened me:

1- My first question concerns the part 5.4 in the draft (Change to received self-originated LSA processing): it's written that the router, when it detects that some instances of its self-originated LSA are purged or reflooded, it's an indication of a possible router-ID duplication and it must delay self-originated LSA processing for LSA that have recently been purged or reflooded for ten seconds and an exponential back-off of 1 to 8 seconds for the processing delay. I don't really figure out this specification, what about the AC -LSA, isn't sufficient to detect and resolve any duplication ID issue?

Possibly the AC-LSA isn't the first LSA to be received by the router joining the OSPFv3 routing domain with the same OSPFv3 Router-ID as another router in the same domain. Hence, this is to mitigate any flooding wars until the OSPFv3 routers realize that a duplicate router-id condition exists.

2- Concerning the IPv6 global addresses, the specifications introduced the AC-LSA that can be used in the future to carry some additional information about global IPv6 prefixes, can we envisage for instance to use this LSA to do a stateless autoconfiguration by giving the router a prefix to construct  a global unicast address without any human intervention?

There is a draft proposing just this in the HOMENET WG.

https://datatracker.ietf.org/doc/draft-arkko-homenet-prefix-assignment/

Thank you very much in advance for your help.

Thanks,
Acee

Cordially.